<template>
  <PageCard>
    <PageCard
      :bordering="false"
      :title="$t('deposit.payeer.title')"
      style="font-size: 1.2rem; font-weight: bold;"
      color="#0f1d35"
      fontWeight="bold"
      class="pageCard-padding pageCard-grey">
    </PageCard>
    <PageCard :bordering="false">
      <div class="card_attention">
        <div class="flex flex_column flex-center flex-middle pt-40 pb-40">
          <img
            style="max-width: 120px;"
            class="card_attention-img"
            src="~/static/deposit/payeer.png"
            alt="">
          <div
            class="flex flex-center flex-middle flex-around pt-40 pb-40"
            style="width: 100%;">
            <img
              style="max-height: 25px;"
              class="card_attention-img"
              src="~/static/deposit/Visa-Logo.png"
              alt="">
            <img
              style="max-height: 40px; margin-right: 35px;"
              class="card_attention-img"
              src="~/static/deposit/MasterCard-Logo.png"
              alt="">
            <img
              style="max-height: 40px;"
              class="card_attention-img"
              src="~/static/deposit/advcash.png"
              alt="">
          </div>
          <img
            style="max-width: 200px;"
            class="card_attention-img"
            src="~/static/deposit/crypto-icons.png"
            alt="">
        </div>
        <div class="card_attention-breaker">
          {{$t('deposit.payeer.howto')}}
        </div>
        <div class="card_attention-body">
          <ul class="deposit_steps">
            <li
              class="deposit_steps-item"
              v-for="(item, key) in steps"
              :key="key">
              <div
                class="deposit_steps-point"
                :style="{'backgroundColor': key===0 ? '#00bdc5' : key===1 ? '#fea911' : '#36d253'}"><span>{{key+1}}</span>
              </div>
              <div class="deposit_steps-title"><span v-html="item"></span></div>
            </li>
          </ul>
        </div>
        <div class="card_attention-breaker">
          <Btn
            @click="buy"
            style="margin-bottom: 0px;"
            backgroundColor="#6fc566">{{$t('deposit.payeer.btn')}}
          </Btn>
        </div>
      </div>
    </PageCard>
  </PageCard>
</template>

<script>
  import PageCard from '~/components/UI/PageCard';
  import Btn from '~/components/UI/BtnSign';
  import {Wallet} from '~/services/wallet/';

  export default {
    name: "PayByPayeer",
    props: {
      amount: {
        type: Number,
        default: 0
      },
      sendPublicKey: {
        type: Boolean,
        default: false
      }
    },
    data() {
      return {}
    },
    components: {
      PageCard,
      Btn
    },
    computed: {
      steps() {
        return this.$t('deposit.steps');
      },
      tempAccountName() {
        return (!this.accountName || this.accountName === 'No account') ? this.$store.state.wallet.tempAccountName : this.accountName;
      },
      accountName() {
        return this.$store.state.wallet.accountName;
      }
    },
    methods: {
      async buy() {
        let balance = await this.$store.dispatch('wallet/checkBalance', {
          accountname: 'jetpack.x',
          needCommit: false
        });
        if (parseFloat(balance || 0) < this.amount) {
          e.preventDefault();
          return notification.info({
            message: 'Platform balance is not enough'
          });
        }

        const privateKey = this.$store.state.wallet.privateKey || localStorage.getItem('private');
        const publicKeys = Wallet.privateToPublic(privateKey);

        const data = {
          accountName: localStorage.getItem('accountname'),
          amount: this.amount
        };
        data.public = {
          active: publicKeys[0],
          owner: publicKeys[0]
        };
        const [err, res] = await this.$store.dispatch('deposit/processing', data);
        if (!err && res.url) {
          window.location.href = res.url;
        }
      }
    }
  }
</script>
<style
  lang="scss"
  scoped>
  .card_attention {
    background-color: #f0f7fa;
    color: #a3a5a9;
    &-img {
      max-width: 100%;
    }
    &-breaker {
      background-color: #c6d4d9;
      text-transform: uppercase;
      text-align: center;
      padding: 20px 0px;
      color: #0f1d35;
      font-size: 1.2rem;
      letter-spacing: 1.4px;
    }
    &-header {
      display: flex;
      align-items: center;
      padding: 25px;
      background-color: #c6d4d9;
      color: #ff3e00;
      font-size: 1.4rem;
      text-transform: uppercase;
      font-weight: 400;
      @media screen and (max-width: 768px) {
        font-size: 1rem;
      }
      img {
        max-width: 34px;
        margin-right: 20px;
      }
    }
    &-body {
      padding: 20px 25px;
      font-size: 1.1rem;
      white-space: pre-line;
    }
    &-blue {
      color: #91d3d9;
    }
  }
</style>
